Subject: Ticket Assigned - Returns
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Sat, 15 Apr 2023 12:38:52 +0000 (UTC)

Hi Laith Almohamd,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns Please follow up on #6020555 and #6072634 complaints
I sent back 5 items from order 9422203180 [return 1004162713].
From the 167 dhs I received only 6 dhs back, I have been following up for more than a week and the only thing I receive from customer care is 'working on it'. I don't see why it would take so long to refund my total amount and sort out the issue. I haven't received any positive response from the customer care team, which is very disappointing. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/6072965